Last Comment Bug 166648 - Prefs: link prefetching UI for (network.prefetch-next)
: Prefs: link prefetching UI for (network.prefetch-next)
Status: RESOLVED FIXED
[prefetch] checklinux, checkwin
: topembed-
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: All All
P4 minor (vote)
: mozilla1.3beta
Assigned To: Suresh
: benc
: Patrick McManus [:mcmanus]
Mentors:
Depends on:
Blocks: 121324
  Show dependency treegraph
 
Reported: 2002-09-04 12:25 PDT by Darin Fisher
Modified: 2010-04-22 19:57 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 patch (7.83 KB, patch)
2002-10-24 12:35 PDT, Darin Fisher
doug.turner: review+
Details | Diff | Splinter Review
screenshot (36.30 KB, image/png)
2002-10-24 12:37 PDT, Darin Fisher
no flags Details
screenshot of pre-fetch pref in HTTP Networking panel. (62.80 KB, image/jpeg)
2003-01-15 14:34 PST, Suresh
no flags Details
updated Cache pref panel. (63.73 KB, image/jpeg)
2003-01-21 17:17 PST, Suresh
no flags Details
patch (12.51 KB, patch)
2003-01-21 17:34 PST, Suresh
skasinathan: review+
alecf: superreview+
asa: approval1.3b+
Details | Diff | Splinter Review
updated cache pref panel. (58.80 KB, image/jpeg)
2003-01-22 11:40 PST, Suresh
no flags Details

Description User image Darin Fisher 2002-09-04 12:25:58 PDT
allow link prefetching to be disabled via user prefs.  currently, there is only
a static pref in all.js that can be set to false to disable prefetching.  this
should probably be a user pref instead.  that would give users as well as
embedders much easier control over whether or not prefetching is enabled.
Comment 1 User image Hanspeter Niederstrasser 2002-09-04 18:19:46 PDT
Please make this bug block Bug 121324 [Tracking bug for ANY changes to prefs
(additions, deletions, change in usage)].  Thanks.
Comment 2 User image Judson Valeski 2002-10-16 10:46:56 PDT
this is an app level UI issue rather than a core Gecko pref handling issue.
please renominiate topembed if mistaken.
Comment 3 User image Darin Fisher 2002-10-16 17:39:05 PDT
jud: actually, the current preference is not fully dynamic.  so there would be a
tiny bit of backend work required to support a UI level pref.  i'll renominate
if fixing this bug ever becomes a real requirement.

-> future
Comment 4 User image Darin Fisher 2002-10-17 15:33:05 PDT
-> 1.2 final as there appears to be a good number of requests for this UI
following the release of mozilla 1.2 beta.
Comment 5 User image Darin Fisher 2002-10-24 12:35:30 PDT
Created attachment 104006 [details] [diff] [review]
v1 patch

ok, this patch adds UI for the link prefetching pref to the Advanced tab.
Comment 6 User image Darin Fisher 2002-10-24 12:37:34 PDT
Created attachment 104009 [details]
screenshot
Comment 7 User image Doug Turner (:dougt) 2002-10-24 14:48:18 PDT
Comment on attachment 104006 [details] [diff] [review]
v1 patch

i would change to pref to something like:

network.prefetch-next.enable

r=dougt
Comment 8 User image Darin Fisher 2002-11-07 21:01:59 PST
-> 1.3 alpha
Comment 9 User image jag (Peter Annema) 2002-11-26 04:04:05 PST
I'm not sure if the main Advanced panel is the best place for it. What about Cache?

Patrice, what do you think?
Comment 10 User image jag (Peter Annema) 2002-11-26 04:04:53 PST
Oops, forgot to CC Patrice.

Patrice, see my previous comment.
Comment 11 User image Darin Fisher 2002-11-26 08:39:23 PST
i thought about advanced:cache too, but it is already fairly crowded.  however,
we have been meaning to clean up the advanced:cache preferences panel
(specifically, to remove the memory cache size setting).  perhaps this bug needs
to be blocked by that bug :-/
Comment 12 User image Cathleen 2002-12-19 15:21:41 PST
--> suresh
Comment 13 User image patrice caire 2003-01-06 15:42:53 PST
Jag and I are checking this and it seems to us that the best place is indeed the
Advanced Cache panel. What's the bug number for cleaning up that panel? 
Comment 14 User image Suresh 2003-01-13 15:03:14 PST
I've filed a new bug 188956 to cover cache cleanup issue. Even after we clean up
Cache panel, i'm not sure the real-estate is sufficient enough in that Panel.

How about we move prefetching pref to "HTTP Networking" pref panel?
Comment 15 User image Suresh 2003-01-15 14:34:52 PST
Created attachment 111653 [details]
screenshot of pre-fetch pref in HTTP Networking panel.
Comment 16 User image Suresh 2003-01-21 17:17:31 PST
Created attachment 112222 [details]
updated Cache pref panel.

This screenshot includes,
1. Removing memory cache info.
2. Adding pre-fetching pref to Cache panel.

To Do:
Replace KB with MB. (Bug 188956 will takes care of this)


How does this screenshot looks?
Comment 17 User image Suresh 2003-01-21 17:34:36 PST
Created attachment 112225 [details] [diff] [review]
patch

I'm hoping that this would fit on mac. If not, I'll seek Jatin's help to
rephrase the pre-fetching description in the pref panel.
Comment 18 User image Suresh 2003-01-21 17:36:14 PST
Comment on attachment 112225 [details] [diff] [review]
patch

carrying over dougt's previous review.
Comment 19 User image Suresh 2003-01-22 11:40:36 PST
Created attachment 112313 [details]
updated cache pref panel.

This screenshot includes rephrasing the pre-fetching description suggested by
Jatin. 

And this also fits well on Mac and Linux.
Comment 20 User image Alec Flett 2003-01-24 15:03:35 PST
Comment on attachment 112225 [details] [diff] [review]
patch

Why the changes to switch AddProgressListener() from the progress object to the
doc loader service? is that supposed to be part of this patch?
sr=alecf if it is, but I'd like to see documentation in the patch and/or bug to
explain
Comment 21 User image Darin Fisher 2003-01-24 18:08:52 PST
alecf: look closely.  no change.  i just moved the AddProgress call into a
helper function.  the prefetch service has always been a listener of the doc
loader service.
Comment 22 User image Asa Dotzler [:asa] 2003-01-27 10:24:13 PST
Comment on attachment 112225 [details] [diff] [review]
patch

a=asa (on behalf of drivers) for checkin to 1.3beta
Comment 23 User image Suresh 2003-01-27 14:24:19 PST
Fixed in trunk!
Comment 24 User image neil@parkwaycc.co.uk 2003-01-28 02:21:31 PST
Comment on attachment 112225 [details] [diff] [review]
patch

grammar check: switch "faster" and "quicker" in the messages actually checked
in :-P
Comment 25 User image Sergey «Mithgol the Webmaster» Sokoloff 2003-01-30 03:33:48 PST
In the dialog (captured in
http://bugzilla.mozilla.org/attachment.cgi?id=112313&action=view attachment) the
checkbox should actually be aligned to the *top* of "Prefetch web pages [...]
can load faster" text, instead of being align to the *middle* of it.
Comment 26 User image neil@parkwaycc.co.uk 2003-01-30 05:00:53 PST
Sergey, that's a theme issue.

But the <hbox> shouldn't have flex="1", so I've filed bug 191282.
Comment 27 User image benc 2003-05-09 08:04:45 PDT
VERIFIED: Mozilla 1.4b, Mach-O.

Preferences | Advanced | Cache:
Link Prefetching
[x] Prefetch web pages when idle, so that links in web page desiged for
prefetching can load faster.


Note, the final pref is "network.prefetch-next", (suggestion in #7 was never taken)

I'll be updating the prefs docs and commiting the changes today:

http://www.mozilla.org/quality/networking/docs/netprefs.html

Note You need to log in before you can comment on or make changes to this bug.